## node-babel7 7.20.15%2Bds1%2B~cs214.269.168

=== debian/watch ===
version=4
opts=\
repack,\
repacksuffix=+ds1,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-babel7-$1/ \
 https://github.com/babel/babel/tags .*/archive/.*/v?([\d\.]+).tar.gz group

opts=\
component=babel-plugin-dynamic-import-node,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-babel-plugin-dynamic-import-node-$1/ \
 https://github.com/airbnb/babel-plugin-dynamic-import-node/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts="searchmode=plain,component=babel-plugin-syntax-async-generators,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-babel-plugin-syntax-async-generators-$1/" \
 https://registry.npmjs.org/@babel/plugin-syntax-async-generators https://registry.npmjs.org/@babel/plugin-syntax-async-generators/-/plugin-syntax-async-generators-([\d\.]+)@ARCHIVE_EXT@ checksum

opts="searchmode=plain,component=babel-plugin-syntax-class-properties,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-babel-plugin-syntax-class-properties-$1/" \
 https://registry.npmjs.org/@babel/plugin-syntax-class-properties https://registry.npmjs.org/@babel/plugin-syntax-class-properties/-/plugin-syntax-class-properties-([\d\.]+)@ARCHIVE_EXT@ checksum

opts="searchmode=plain,component=babel-plugin-syntax-class-static-block,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-babel-plugin-syntax-class-static-block-$1/" \
 https://registry.npmjs.org/@babel/plugin-syntax-class-static-block https://registry.npmjs.org/@babel/plugin-syntax-class-static-block/-/plugin-syntax-class-static-block-([\d\.]+)@ARCHIVE_EXT@ checksum

opts="searchmode=plain,component=babel-plugin-syntax-dynamic-import,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-babel-plugin-syntax-dynamic-import-$1/" \
 https://registry.npmjs.org/@babel/plugin-syntax-dynamic-import https://registry.npmjs.org/@babel/plugin-syntax-dynamic-import/-/plugin-syntax-dynamic-import-([\d\.]+)@ARCHIVE_EXT@ checksum

opts="searchmode=plain,component=babel-plugin-syntax-export-namespace-from,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-babel-plugin-syntax-export-namespace-from-$1/" \
 https://registry.npmjs.org/@babel/plugin-syntax-export-namespace-from https://registry.npmjs.org/@babel/plugin-syntax-export-namespace-from/-/plugin-syntax-export-namespace-from-([\d\.]+)@ARCHIVE_EXT@ checksum

opts="searchmode=plain,component=babel-plugin-syntax-json-strings,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-babel-plugin-syntax-json-strings-$1/" \
 https://registry.npmjs.org/@babel/plugin-syntax-json-strings https://registry.npmjs.org/@babel/plugin-syntax-json-strings/-/plugin-syntax-json-strings-([\d\.]+)@ARCHIVE_EXT@ checksum
