=== debian/changelog ===
node-babel7 (7.20.15+ds1+~cs214.269.168-9) unstable; urgency=medium

  * Bug fix: "rebuild fails against node-typescript 5.0.4 from
    experimental", thanks to Ananthu C V (Closes: #1090009).

 -- Bastien Roucariès <rouca@debian.org>  Mon, 27 Oct 2025 22:05:20 +0100

node-babel7 (7.20.15+ds1+~cs214.269.168-8) unstable; urgency=medium

  * tsc-workaround: add another ts-ignore for require. Closes: #1095784.

 -- Jérémy Lal <kapouer@melix.org>  Fri, 14 Feb 2025 11:44:21 +0100

node-babel7 (7.20.15+ds1+~cs214.269.168-7) unstable; urgency=medium

  * Team update
  * Update to newer lru-cache

 -- Bastien Roucariès <rouca@debian.org>  Tue, 06 Aug 2024 14:01:43 +0000

node-babel7 (7.20.15+ds1+~cs214.269.168-6) unstable; urgency=medium

  * patch: tsc-workaround update
    Fix for nodejs 18.13 to 18.19 update

 -- Jérémy Lal <kapouer@melix.org>  Tue, 12 Dec 2023 13:15:28 +0100

node-babel7 (7.20.15+ds1+~cs214.269.168-5) unstable; urgency=medium

  * Team upload
  * Only evaluate own String/Number/Math methods
    (Closes: #1053880, CVE-2023-45133)

 -- Yadd <yadd@debian.org>  Fri, 13 Oct 2023 17:53:38 +0400

node-babel7 (7.20.15+ds1+~cs214.269.168-4) unstable; urgency=medium

  * Team upload
  * Add missing Breaks+Replaces against all node-babel-* that were in
    Debian 10 (Closes: #1037234)

 -- Yadd <yadd@debian.org>  Fri, 09 Jun 2023 13:35:18 +0400

node-babel7 (7.20.15+ds1+~cs214.269.168-3) unstable; urgency=medium

  * Team upload
  * Add Breaks+Replaces against node-babel-code-frame << 7
    (Closes: #1036942)

 -- Yadd <yadd@debian.org>  Tue, 30 May 2023 12:24:08 +0400

node-babel7 (7.20.15+ds1+~cs214.269.168-2) unstable; urgency=medium

  * Update minimum version of node-regexpu-core to 5.2.1~.
    packages/babel-helper-create-regexp-features-plugin/package.json has
    "regexpu-core": "^5.2.1" and not adding it breaks partial upgrades.

 -- Pirate Praveen <praveen@debian.org>  Thu, 16 Mar 2023 17:52:46 +0530

node-babel7 (7.20.15+ds1+~cs214.269.168-1) unstable; urgency=medium

  * Team upload
  * Update lintian override info format in d/source/lintian-overrides
    on line 2-11, 13-24.
  * Update standards version to 4.6.2, no changes needed.
  * New upstream version 7.20.15+ds1+~cs214.269.168

 -- Yadd <yadd@debian.org>  Fri, 17 Feb 2023 12:05:54 +0400
