=== debian/tests/control ===
Depends: @, @builddeps@
Restrictions: allow-stderr
Features: test-name=rebuild-itself
Test-Command: ./debian/rules override_dh_auto_configure && ./debian/rules override_dh_auto_build
Architecture: amd64, arm64, armhf, i386, ppc64el, s390x
